--- widget.orig/src/gtk2/nsWindow.cpp	2007-01-25 02:22:26.000000000 +0000
+++ widget/src/gtk2/nsWindow.cpp	2007-04-27 14:01:47.000000000 +0000
@@ -1215,29 +1215,43 @@
         return NS_OK;
 
     nsCOMPtr<nsILocalFile> iconFile;
     nsCAutoString path;
     nsCStringArray iconList;
 
     // Assume the given string is a local identifier for an icon file.
 
-    ResolveIconName(aIconSpec, NS_LITERAL_STRING(".xpm"),
+    ResolveIconName(aIconSpec, NS_LITERAL_STRING(".png"),
                     getter_AddRefs(iconFile));
     if (iconFile) {
         iconFile->GetNativePath(path);
         iconList.AppendCString(path);
+    } else {
+        ResolveIconName(aIconSpec, NS_LITERAL_STRING(".xpm"),
+                        getter_AddRefs(iconFile));
+        if (iconFile) {
+            iconFile->GetNativePath(path);
+            iconList.AppendCString(path);
+        }
     }
 
     // Get the 16px icon path as well
-    ResolveIconName(aIconSpec, NS_LITERAL_STRING("16.xpm"),
+    ResolveIconName(aIconSpec, NS_LITERAL_STRING("16.png"),
                     getter_AddRefs(iconFile));
     if (iconFile) {
         iconFile->GetNativePath(path);
         iconList.AppendCString(path);
+    } else {
+        ResolveIconName(aIconSpec, NS_LITERAL_STRING("16.xpm"),
+                        getter_AddRefs(iconFile));
+        if (iconFile) {
+            iconFile->GetNativePath(path);
+            iconList.AppendCString(path);
+        }
     }
 
     // leave the default icon intact if no matching icons were found
     if (iconList.Count() == 0)
         return NS_OK;
 
     return SetWindowIconList(iconList);
 }
--- mail.orig/app/Makefile.in	2007-04-25 13:57:38.000000000 +0000
+++ mail/app/Makefile.in	2007-04-25 14:00:05.000000000 +0000
@@ -41,33 +41,33 @@
 VPATH		= @srcdir@
 
 include $(DEPTH)/config/autoconf.mk
 
 MOZILLA_INTERNAL_API = 1
 
 AB_CD = $(MOZ_UI_LOCALE) 
 
-DEFINES += -DTHUNDERBIRD_ICO=\"$(DIST)/branding/thunderbird.ico\" -DAB_CD=$(AB_CD)
+DEFINES += -DTHUNDERBIRD_ICO=\"$(DIST)/branding/$(MOZ_APP_NAME).ico\" -DAB_CD=$(AB_CD)
 
 DIRS		= profile
 
 PREF_JS_EXPORTS = \
     $(srcdir)/profile/all-thunderbird.js \
     $(srcdir)/profile/channel-prefs.js \
     $(NULL)
 
 ifndef MOZ_BRANDING_DIRECTORY
 PREF_JS_EXPORTS += $(srcdir)/thunderbird-branding.js
 endif
 
 ifeq ($(USE_SHORT_LIBNAME), 1)
-PROGRAM = thunderbird$(BIN_SUFFIX)
+PROGRAM = $(MOZ_APP_NAME)$(BIN_SUFFIX)
 else
-PROGRAM = thunderbird-bin$(BIN_SUFFIX)
+PROGRAM = $(MOZ_APP_NAME)-bin$(BIN_SUFFIX)
 endif
 
 REQUIRES = \
 	xpcom \
 	$(NULL)
 
 LOCAL_INCLUDES = -I$(topsrcdir)/toolkit/xre
 
@@ -221,50 +221,50 @@
 install::
 	$(SYSINSTALL) $(IFLAGS1) $(DIST)/branding/default.xpm $(DESTDIR)$(mozappdir)/icons
 endif
 
 export::
 ifndef MOZ_BRANDING_DIRECTORY
 	$(NSINSTALL) -D $(DIST)/branding
 ifeq ($(OS_ARCH),WINNT)
-	cp $(srcdir)/thunderbird.ico   $(DIST)/branding/thunderbird.ico
+	cp $(srcdir)/thunderbird.ico   $(DIST)/branding/$(MOZ_APP_NAME).ico
 	cp $(srcdir)/thunderbird.ico   $(DIST)/branding/app.ico
 endif
 ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
-	cp $(srcdir)/macbuild/thunderbird.icns  $(DIST)/branding/thunderbird.icns
+	cp $(srcdir)/macbuild/thunderbird.icns  $(DIST)/branding/$(MOZ_APP_NAME).icns
 	cp $(srcdir)/macbuild/dsstore $(DIST)/branding/dsstore
 	cp $(srcdir)/macbuild/background.png $(DIST)/branding/background.png
 	cp $(srcdir)/macbuild/disk.icns $(DIST)/branding/disk.icns
 	cp $(srcdir)/macbuild/license.r $(DIST)/branding/license.r
 endif
 ifneq (,$(filter gtk gtk2,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/mozicon16.xpm $(DIST)/branding/mozicon16.xpm
 	cp $(srcdir)/mozicon50.xpm $(DIST)/branding/mozicon50.xpm
 endif
 ifeq ($(MOZ_WIDGET_TOOLKIT),gtk2)
 	cp $(srcdir)/default.xpm   $(DIST)/branding/default.xpm	
 endif
 endif
 
 ifneq (,$(filter-out OS2 WINNT Darwin,$(OS_ARCH)))
-thunderbird:: mozilla.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
+$(MOZ_APP_NAME):: mozilla.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
 	cat $< | sed -e "s|%MOZAPPDIR%|$(mozappdir)|" \
-                -e "s|%MOZ_USER_DIR%|.thunderbird|" \
+                -e "s|%MOZ_USER_DIR%|.$(MOZ_APP_NAME)|" \
 		-e "s|%MREDIR%|$(mredir)|" \
 		-e "s|%MOZILLA-BIN%|$(PROGRAM)|g" > $@
 	chmod +x $@
 
-libs:: thunderbird
+libs:: $(MOZ_APP_NAME)
 	$(INSTALL) $< $(DIST)/bin
 
-install:: thunderbird
+install:: $(MOZ_APP_NAME)
 	$(SYSINSTALL) $< $(DESTDIR)$(bindir)
 
-GARBAGE += thunderbird
+GARBAGE += $(MOZ_APP_NAME)
 GARBAGE += $(addprefix $(DIST)/bin/defaults/pref/, all.js all-thunderbird.js channel-prefs.js mailnews.js)
 endif
 
 ifneq (,$(filter gtk gtk2,$(MOZ_WIDGET_TOOLKIT)))
 ICON_FILES	= \
 		$(DIST)/branding/mozicon50.xpm \
 		$(DIST)/branding/mozicon16.xpm \
 		$(NULL)
@@ -300,17 +300,17 @@
 	rsync -a $(DIST)/bin/ $(DIST)/$(APP_NAME).app/Contents/MacOS
 	rm -f $(DIST)/$(APP_NAME).app/Contents/MacOS/$(PROGRAM)
 	rsync -aL $(PROGRAM) $(DIST)/$(APP_NAME).app/Contents/MacOS
 	mkdir -p $(DIST)/$(APP_NAME).app/Contents/Plug-Ins
 # Bug 297227: the next line only exists to repair broken depend builds, it can
 # go away once that bug has been closed for a while.
 	rm -rf $(DIST)/$(APP_NAME).app/Contents/Plug-Ins/PrintPDE.plugin
 	rsync -a --copy-unsafe-links $(DIST)/package/PrintPDE.plugin $(DIST)/$(APP_NAME).app/Contents/Plug-Ins
-	cp -RL $(DIST)/branding/thunderbird.icns $(DIST)/$(APP_NAME).app/Contents/Resources/thunderbird.icns
+	cp -RL $(DIST)/branding/thunderbird.icns $(DIST)/$(APP_NAME).app/Contents/Resources/$(MOZ_APP_NAME).icns
 	cp -RL $(srcdir)/macbuild/mail-biff-badge.png 	$(DIST)/$(APP_NAME).app/Contents/Resources/mail-biff-badge.png
 	echo -n APPLMOZM > $(DIST)/$(APP_NAME).app/Contents/PkgInfo
 #       remove CVS dirs from packaged app
 	find $(DIST)/$(APP_NAME).app -type d -name "CVS" -prune -exec rm -rf {} \;
 
 clean clobber::
 	rm -rf $(DIST)/$(APP_NAME).app
 endif
--- mail.orig/app/Makefile.in	2007-04-27 14:17:54.000000000 +0000
+++ mail/app/Makefile.in	2007-04-27 14:18:43.000000000 +0000
@@ -211,20 +211,20 @@
 	$(INSTALL) $^ $(DIST)/bin/chrome/icons/default
 
 install:: $(addprefix icons/$(ICON_DIR)/,$(DESKTOP_ICON_FILES))
 	$(SYSINSTALL) $(IFLAGS1) $^ $(DESTDIR)$(mozappdir)/chrome/icons/default
 endif
 
 ifeq ($(MOZ_WIDGET_TOOLKIT),gtk2)
 libs::
-	$(INSTALL) $(DIST)/branding/default.xpm $(DIST)/bin/chrome/icons/default
+	$(INSTALL) $(DIST)/branding/default.png $(DIST)/bin/chrome/icons/default
 
 install::
-	$(SYSINSTALL) $(IFLAGS1) $(DIST)/branding/default.xpm $(DESTDIR)$(mozappdir)/icons
+	$(SYSINSTALL) $(IFLAGS1) $(DIST)/branding/default.png $(DESTDIR)$(mozappdir)/icons
 endif
 
 export::
 ifndef MOZ_BRANDING_DIRECTORY
 	$(NSINSTALL) -D $(DIST)/branding
 ifeq ($(OS_ARCH),WINNT)
 	cp $(srcdir)/thunderbird.ico   $(DIST)/branding/$(MOZ_APP_NAME).ico
 	cp $(srcdir)/thunderbird.ico   $(DIST)/branding/app.ico
@@ -232,21 +232,21 @@
 ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/macbuild/thunderbird.icns  $(DIST)/branding/$(MOZ_APP_NAME).icns
 	cp $(srcdir)/macbuild/dsstore $(DIST)/branding/dsstore
 	cp $(srcdir)/macbuild/background.png $(DIST)/branding/background.png
 	cp $(srcdir)/macbuild/disk.icns $(DIST)/branding/disk.icns
 	cp $(srcdir)/macbuild/license.r $(DIST)/branding/license.r
 endif
 ifneq (,$(filter gtk gtk2,$(MOZ_WIDGET_TOOLKIT)))
-	cp $(srcdir)/mozicon16.xpm $(DIST)/branding/mozicon16.xpm
-	cp $(srcdir)/mozicon50.xpm $(DIST)/branding/mozicon50.xpm
+	cp $(srcdir)/mozicon16.png $(DIST)/branding/mozicon16.png
+	cp $(srcdir)/mozicon50.png $(DIST)/branding/mozicon50.png
 endif
 ifeq ($(MOZ_WIDGET_TOOLKIT),gtk2)
-	cp $(srcdir)/default.xpm   $(DIST)/branding/default.xpm	
+	cp $(srcdir)/default.png   $(DIST)/branding/default.png
 endif
 endif
 
 ifneq (,$(filter-out OS2 WINNT Darwin,$(OS_ARCH)))
 $(MOZ_APP_NAME):: mozilla.in Makefile.in Makefile $(DEPTH)/config/autoconf.mk
 	cat $< | sed -e "s|%MOZAPPDIR%|$(mozappdir)|" \
                 -e "s|%MOZ_USER_DIR%|.$(MOZ_APP_NAME)|" \
 		-e "s|%MREDIR%|$(mredir)|" \
@@ -260,18 +260,18 @@
 	$(SYSINSTALL) $< $(DESTDIR)$(bindir)
 
 GARBAGE += $(MOZ_APP_NAME)
 GARBAGE += $(addprefix $(DIST)/bin/defaults/pref/, all.js all-thunderbird.js channel-prefs.js mailnews.js)
 endif
 
 ifneq (,$(filter gtk gtk2,$(MOZ_WIDGET_TOOLKIT)))
 ICON_FILES	= \
-		$(DIST)/branding/mozicon50.xpm \
-		$(DIST)/branding/mozicon16.xpm \
+		$(DIST)/branding/mozicon50.png \
+		$(DIST)/branding/mozicon16.png \
 		$(NULL)
 
 libs::
 	$(INSTALL) $(ICON_FILES) $(DIST)/bin/icons
 
 install::
 	$(SYSINSTALL) $(IFLAGS1) $(ICON_FILES) $(DESTDIR)$(mozappdir)/icons
 endif
--- other-licenses.orig/branding/thunderbird/Makefile.in	2007-05-17 11:31:32.000000000 +0000
+++ other-licenses/branding/thunderbird/Makefile.in	2007-05-17 11:45:29.000000000 +0000
@@ -38,15 +38,17 @@
 	cp $(srcdir)/mozicon16.png  $(DEPTH)/mail/app/icons/gtk/messengerWindow16.png
 ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/thunderbird.icns  $(DIST)/branding/thunderbird.icns
 	cp $(srcdir)/dsstore $(DIST)/branding/dsstore
 	cp $(srcdir)/background.png $(DIST)/branding/background.png
 	cp $(srcdir)/disk.icns $(DIST)/branding/disk.icns
 	cp $(srcdir)/license.r $(DIST)/branding/license.r
 endif
+ifneq (,$(filter gtk,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/Header.bmp   $(DIST)/branding/Header.bmp
 	cp $(srcdir)/Watermrk.bmp $(DIST)/branding/Watermrk.bmp
+endif
 ifeq ($(OS_ARCH),OS2)
 	cp $(srcdir)/thunderbird-os2.ico  $(DIST)/branding/thunderbird.ico
 	cp $(srcdir)/thunderbird-os2.ico  $(DIST)/branding/app.ico
 endif
 
--- branding.orig/thunderbird/Makefile.in	2007-05-17 11:31:32.000000000 +0000
+++ branding/thunderbird/Makefile.in	2007-05-17 11:45:29.000000000 +0000
@@ -38,15 +38,17 @@
 	cp $(srcdir)/mozicon16.png  $(DEPTH)/mail/app/icons/gtk/messengerWindow16.png
 ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/thunderbird.icns  $(DIST)/branding/thunderbird.icns
 	cp $(srcdir)/dsstore $(DIST)/branding/dsstore
 	cp $(srcdir)/background.png $(DIST)/branding/background.png
 	cp $(srcdir)/disk.icns $(DIST)/branding/disk.icns
 	cp $(srcdir)/license.r $(DIST)/branding/license.r
 endif
+ifneq (,$(filter gtk,$(MOZ_WIDGET_TOOLKIT)))
 	cp $(srcdir)/Header.bmp   $(DIST)/branding/Header.bmp
 	cp $(srcdir)/Watermrk.bmp $(DIST)/branding/Watermrk.bmp
+endif
 ifeq ($(OS_ARCH),OS2)
 	cp $(srcdir)/thunderbird-os2.ico  $(DIST)/branding/thunderbird.ico
 	cp $(srcdir)/thunderbird-os2.ico  $(DIST)/branding/app.ico
 endif
 
